# Interface methods for submodule: vnl_least_squares_function
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: vnl_least_squares_function
class vnl_least_squares_functionProxy():
	def throw_failure(self) -> None:
		""""""
		...

	def clear_failure(self) -> None:
		""""""
		...

	def f(self, x: vnl_vector, fx: vnl_vector) -> None:
		""""""
		...

	def gradf(self, x: vnl_vector, jacobian: vnl_matrix) -> None:
		""""""
		...

	def fdgradf(self, x: vnl_vector, jacobian: vnl_matrix, stepsize: float) -> None:
		""""""
		...

	def ffdgradf(self, x: vnl_vector, jacobian: vnl_matrix, stepsize: float) -> None:
		""""""
		...

	def trace(self, iteration: int, x: vnl_vector, fx: vnl_vector) -> None:
		""""""
		...

	def rms(self, x: vnl_vector) -> float:
		""""""
		...

	def get_number_of_unknowns(self) -> int:
		""""""
		...

	def get_number_of_residuals(self) -> int:
		""""""
		...

	def has_gradient(self) -> bool:
		""""""
		...

